; Novell Client Install INI File
;
; VeRsIoN=v2.0 Novell Client Install - Control INI
; CoPyRiGhT=Copyright 2021, by Novell, Inc. All rights reserved.

; Note that .INI file parsing performed by Microsoft on the Windows platform
; does not support duplicate section names, nor does it support duplicate
; setting names within a section.  Only the first section found with a given
; name will be used, and only the first instance of a setting name within that
; section will be recognized.
;
; Meaning the settings presented here in the INSTALL.INI need to be modified
; within the existing sections, as they were distributed in the INSTALL.INI.
; Moving or duplicating the settings to another area of the file will not
; result in the intended processing.

[NovellClient]
;
; Novell Client for Windows Install and Upgrade Configuration
;

;
; MajorInternalVersion=
; Major Internal Version of the Client
;
MajorInternalVersion=

;
; MinorInternalVersion=
; Minor Internal Version of the Client
;
MinorInternalVersion=

;
; NovellClientPropertiesFile=
; Use a Novell Client Properties file (created by NCIman.exe)
; This must be a file name only.  Paths are not allowed.
; The file specified must exist in the same folder as SETUP.EXE.
;
NovellClientPropertiesFile=




[Setup]
;
; Novell Client for Windows Setup Configuration
;
; Setup installs the Novell Client for Windows
; and optionally installs other products.
;

;
; DisplayLanguageSelection=Yes
; Display the Novell Client Language selection dialog
;
DisplayLanguageSelection=Yes

;
; DefaultLanguageSelection=WINDOWS|ENGLISH|ESPANOL|FRANCAIS|DEUTSCH|ITALIANO|NIHONGO|POLSKI|PORTUGUE|RUSSKI|SVENSKA
;
; Specifies the default option to be selected for the
; Novell Client Language selection dialog.  This selection
; will be effective even if DisplayLanguageSelection=No.
;
; Note that not every language is valid for selection on
; a given machine, so its possible to specify a language
; here that isn't valid on the machine where SETUP.EXE is
; running.  In this case, the Novell Client Language
; selection behavior will ignore the language specified
; here and abide by its normal default selection behavior.
;
; Leaving this option blank ("DefaultLanguageSelection=")
; lets the Novell Client Language selection dialog perform
; its normal default selection behavior.
;
; Setting "DefaultLanguageSelection=WINDOWS" forces the
; "Use Windows language configuration" option to be selected.
;
DefaultLanguageSelection=

;
; DisplayLicenseAgreement=Yes
; Display the Novell Client License Agreement dialog
;
DisplayLicenseAgreement=Yes

;
; DisplayUnsupportedOSAgreement=Yes
; Display the Novell Client Unsupported Version of Windows dialog
;
DisplayUnsupportedOSAgreement=Yes

;
; DisplayInitialDialog=Yes
; Display the initial Installation or Automatic Client Upgrade dialog
;
DisplayInitialDialog=Yes

;
; Specifies whether the installation set is to be copied to a specified
; local directory.  During an installation that occurs from the network or
; a DVD/CD-ROM, to keep a copy of the installation set on the local computer
; even once the installation is finished, specify a path in "LocalDirectory"
; which is accessible and/or can be created by an Administrators user.
; To turn this option off, set "LocalDirectory" to a blank path.
;
LocalDirectory=

;
; DisplayBackground=No
; Display a full screen background window
;
DisplayBackground=No

;
; CreateSystemRestorePoint=Yes
; Create a Windows System Restore Point before installing the Novell Client.
; This setting is ignored on Windows platforms that do not provide the
; Windows System Restore Point service.
;
CreateSystemRestorePoint=Yes

;
; InstallNMAS=Yes
; Specifies options to configure the NMAS Client installation. Following are the possible values for this option:
; a) If InstallNMAS option is set to 'Always' (i.e.: InstallNMAS=Always):
; The NMAS Client will always be installed along with the Novell Client installation irrespective of the 
; installation type (fresh or upgrade) or previous existence of the NMAS client. 
; b) If InstallNMAS option is set to 'Yes' (i.e.: InstallNMAS=Yes):
;  On a fresh installation of Novell Client, the NMAS Client will be installed.
; c) If InstallNMAS option is set to 'No' (i.e.: InstallNMAS=No):
;  On a fresh installation of Novell Client, the NMAS client will not be installed.
; In cases (b) & (c) : If you are attempting an upgradation of the Novell Client, the NMAS client will be 
; installed or updated only if it was already installed on the system. 
;
InstallNMAS=Yes

;
; InstallNICI=Yes
; Install Novell International Cryptography Infrastructure (NICI)
; If InstallNMAS=Yes, InstallNICI will also be set to Yes
; If InstallNMAS=Always, InstallNICI will also be set to Yes.
;
InstallNICI=Yes

;
; For the InstallAdvancedAuthentication and InstallAdvancedAuthenticationDeviceServices
; settings, the Client for Open Enterprise Server SETUP.EXE can initiate the
; Advanced Authentication component installations as part of the Client for Open
; Enterprise Server installation.  But the required MSI files are not part of
; the Client for Open Enterprise Server installation set by default, and would
; have to be downloaded as part of the Advanced Authentication product and added
; to the Client for Open Enterprise Sever installation set by the administrator.
; 
; The Client for Open Enterprise Server SETUP.EXE installer expects to find the
; Advanced Authentication MSI packages, if present, either in the root of the
; Client for Open Enterprise Server installation set, or in a subdirectory
; structure that matches how the client components are delivered as part of
; the Advanced Authentication product itself.
;
; In addition to searching for the presence of "naaf-winclient-x64-release-*.msi",
; "naaf-winclient-x86-release-*.msi" and "naaf-deviceservice-x86-release-*.msi"
; in the same folder as the Client for Open Enterprise Server SETUP.EXE, it will
; also search for these MSI packages in a ".\NetIQ\" subdirectory relative to
; the SETUP.EXE application, and also a ".\Windows-components\Windows-Client\"
; and ".\Windows-components\Device-Service\" subdirectory structure relative to
; the SETUP.EXE application.  The NetIQ MSI packages can be extracted to which
; ever of these locations is most convient or already inherent to the NetIQ client
; packages downloaded as part of the Advanced Authentication product.
;
; If the Advanced Authentication MSI files cannot be successfully located, the
; Client for Open Enterprise Server SETUP.EXE will not be able to perform new
; installation of the Advanced Authentication client, and will not offer the
; Advanced Authentication components as optional products during the "Custom"
; installation path.  The Advanced Authentication integration can still be
; enabled during the Client for Open Enterprise Server installation, but only
; if the Advanced Authentication client was already installed on the machine.
;

;
; InstallAdvancedAuthentication=No
; Controls installation of the Advanced Authentication Client in addition to the
; Client for Open Enterprise Server, if the Advanced Authentication Client MSI
; has been made available in the Client for Open Enterprise Server
; installation set.
;
; When set to "No", the Client for Open Enterprise Server will not attempt to
; install the Advanced Authentication Client.  If the Advanced Authentication
; Client is already installed, it will not be removed.  However, no options
; related to Advanced Authentication will be shown during Client for Open
; Enterprise Server installation.
; 
; Having this option set to "Yes" will allow offering the Advanced Authentication
; Client during Client for Open Enterprise Server installation.  The configuration
; options for Advanced Authentication will also be shown during installation.
;
InstallAdvancedAuthentication=No

;
; InstallAdvancedAuthenticationDeviceServices=No
; Install the Advanced Authentication Device Services in addition to the Client
; for Open Enterprise Server, if the Advanced Authentication Device Services MSI
; has been made available in the Client for Open Enterprise Server installation set.
; This setting will only be used if the InstallAdvancedAuthentication
; setting is set to Yes.
;
InstallAdvancedAuthenticationDeviceServices=No

;
; AdvancedAuthenticationLogonExperience=Keep
; Controls the mode in which Advanced Authentication is supported by the
; Client for Open Enterprise Server.
;
; When set to "Keep", this means to continue in whatever mode is currently
; enabled on the machine where installation is being performed.  If a new
; installation is being performed including Advanced Authentication support
; and there isn't an existing mode set, the default will be the same as
; "OES" described below.
;
; When set to "NetIQ", this means the intention is to use the NetIQ Advanced
; Authentication credential provider, despite also installing the Client for
; Open Enterprise Server.  The primary logon experience the user receives is
; the NetIQ Advanced Authentication credential provider, and a password-based
; eDirectory-only login will be attempted after the Windows-only logon, using
; the "Login with Third-Party Credential Provider" feature of the Client for
; Open Enterprise Server.
;
; When set to "OES", this means the intention is to use the Client for Open
; Enterprise Server credential provider to perform both Advanced Authentication
; login and eDirectory login, in addition to Windows account logon.  The primary
; login experience the user receives is still the Client for Open Enterprise
; Server credential provider experience they are familiar with, but with new
; Advanced Authentication-specific prompting and changes.
;
AdvancedAuthenticationLogonExperience=Keep

;
; AdvancedAuthenticationClientDiscoveryHost=
; If specified, installation of Client for Open Enterprise Server
; will cause a "discovery.host" parameter to be created or updated
; in the Advanced Authentication Client's "config.properties" file.
; This setting will only be used if the InstallAdvancedAuthentication
; setting is set to Yes.
;
AdvancedAuthenticationClientDiscoveryHost=

;
; AdvancedAuthenticationClientEventName=
; If specified, installation of Client for Open Enterprise Server
; will cause an "event_name:" parameter to be created or updated
; in the Advanced Authentication Client's "config.properties" file.
; This setting will only be used if the InstallAdvancedAuthentication
; setting is set to Yes.
;
AdvancedAuthenticationClientEventName=

;
; ForceReboot=No
; Force the computer to reboot after installing the Novell Client
;
ForceReboot=No

;
; DisplayRebootDialog=Yes
; Display the Reboot dialog after installing the Novell Client
; If ForceReboot=Yes, DisplayRebootDialog is ignored
;
DisplayRebootDialog=Yes




[ACU]
;
; Novell Client for Windows ACU Configuration
;
; ACU determines if the Novell Client for Windows needs to be upgraded
; by comparing the Major version, Minor version, Support Pack version, Build Number
; ACU Major version, and the ACU Minor versions.
; If ACU determines that the Novell Client does need to be upgraded
; it launches Setup to perform the upgrade.
;

;
; DisplayUpgradeDialog=Yes
; Display the Novell Automatic Client Upgrade dialog before launching the upgrade
;
DisplayUpgradeDialog=Yes

;
; Message=
; Additional text displayed on the Novell Automatic Client Upgrade dialog
;
Message=




[UpdateAgent]
;
; Novell Client for Windows Update Agent Configuration
;
; Update Agent updates the Novell Client for Windows by launching
; ACU to determine if an update is needed and Setup to perform
; the upgrade.
;

;
; Disabled=No
; Enable or Disable the Update Agent
;
Disabled=No

;
; DisplayUpdateDialog=Yes
; Display the Update Agent dialog before launching the update
;
DisplayUpdateDialog=Yes

;
; DisplayUpdateLocation=No
; Display the location that the Novell Client will be updated
; from on the update dialog
;
DisplayUpdateLocation=No

;
; ApplyNovellClientPropertiesFile=Yes
; Apply the contents of the Novell Client Properties file
; referenced in the [NovellClient] section of this ini file
; to the registry separate from the install or upgrade process.
ApplyNovellClientPropertiesFile=Yes

;
; Message=
; Additional text displayed on the Update Agent dialog
;
Message=


[CustomImages]
;
; Optional custom image files that can be included in the installation set area.
;
; THESE IMAGE FILES MUST EXIST IN THE "INSTALL" FOLDER at the root of the
; installation set.  Only the file name can be specified in the following
; configuration fields; absolute or relative path names cannot be included.
;

; CustomCredentialProviderBitmap=ClientCredentialProviderBitmap.bmp
;
; If specified, this image file will be copied to the C:\ProgramData\Novell\Client\
; folder, and the full path to the file will be set as the "Default bitmap for Welcome
; screen tiles" in the "Advanced Login" section of Client Properties.  Recommended
; image size is 448x448, but will be scaled down by Windows according to platform
; and display characteristics.
;
CustomCredentialProviderBitmap=

; CustomLoginDialogBitmap=ClientLoginDialogBitmap.bmp
;
; If specified, this image file will be copied to the C:\ProgramData\Novell\Client\
; folder, and the full path to the file will be set as the "Default bitmap for Client
; Login dialog" in the "Advanced Login" section of Client Properties.  General
; recommended size is around 800x200, but may become scaled down depending upon display
; characteristics.  The login dialog size may increase if possible to try and
; accomodate differently-sized images.
;
CustomLoginDialogBitmap=

; CustomSystemTrayIcon=ClientSystemTrayIcon.ico
;
; If specified, this image file will be copied to the C:\ProgramData\Novell\Client\
; folder, and the full path to the file will be set into the registry as the
; "Custom Systray Icon" value in [HKEY_LOCAL_MACHINE\Software\Novell\Network Provider].
; Recommend including at least 16x16, 20x20, 24x24 and 32x32 resolutions for Windows
; to present optimized versions of the smaller-sized icons.
;
CustomSystemTrayIcon=

; CustomShellExtensionIcon=ClientShellExtensionIcon.ico
;
; If specified, this image file will be copied to the C:\ProgramData\Novell\Client\
; folder, and the full path to the file will be set into the registry as the
; "Custom Shell Extension Icon" value in [HKEY_LOCAL_MACHINE\Software\Novell\Network Provider].
; Recommend including at least 16x16, 20x20, 24x24 and 32x32 resolutions for Windows
; to present optimized versions of the smaller-sized icons.
;
CustomShellExtensionIcon=

; CustomStrings=No
;
; If set to "Yes", the ".\Install\NC_Strings.xml" file within the installation set will be copied
; copied to the "C:\Program Files\Novell\Client\CustomBrand\" folder, and a "CustomStrings" value
; of 0x1 will be set in the registry under [HKEY_LOCAL_MACHINE\Software\Novell\Client\Parameters].
;
; This will enable the use of any custom message replacements which have been created in the
; NC_Strings.xml file.  If "CustomStrings" is set to "No", then no file is copied and the
; "CustomStrings" value is removed from the registry.
;
CustomStrings=No

